SystemOrganization addCategory: #ConfigurationOfNautilus!

Object subclass: #ConfigurationOfNautilus
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfNautilus'!

!ConfigurationOfNautilus commentStamp: '<historical>' prior: 0!
Gofer new
     squeaksource: 'PharoTaskForces';
     package: 'ConfigurationOfRPackage';
     load.

(Smalltalk at: #ConfigurationOfRPackage) perform: #loadDefault.

(Smalltalk at: #ConfigurationOfNautilus) perform: #loadDefault.

!

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/20/2011 01:19'!
alpha

	(self project version: 'alpha') load! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 10/7/2011 12:49'!
loadDefault

	(self project version: '3.19') load! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
project

	^self new project! !

!ConfigurationOfNautilus class methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 5/24/2011 15:10'!
stable

	(self project version: '3.4') load! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 3/18/2011 15:58'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		spec package: 'AST-Core'.
		
		spec repository: 'http://www.squeaksource.com/rb'.
		spec package: 'AST-Core'.
		spec package: 'Refactoring-Environment' with: [ spec requires: 'AST-Core' ]
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 3/18/2011 18:52'!
baseline20: spec 
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 3/20/2011 01:16'!
baseline21: spec 
	<version: '2.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 3/30/2011 18:36'!
baseline22: spec 
	<version: '2.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 3/27/2011 15:43'!
baseline23: spec 
	<version: '2.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [ spec requires: 'Refactoring-Environment' ].
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 3/30/2011 18:40'!
baseline24: spec 
	<version: '2.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [ spec requires: 'Refactoring-Environment' ].
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 4/5/2011 15:57'!
baseline30: spec 
	<version: '3.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package:  'Monticello'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [ spec requires: 'Refactoring-Environment' ].
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 4/13/2011 17:57'!
baseline31: spec 
	<version: '3.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package:  'Monticello'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [ spec requires: 'Refactoring-Environment' ].
	]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 5/4/2011 11:29'!
baseline32: spec 
	<version: '3.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package: 'PluggableTextMorphWithLimits'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package:  'Monticello'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [
			spec requires: 'Refactoring-Environment'.
			spec requires: 'PluggableTextMorphWithLimits' ]]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 8/2/2011 20:29'!
baseline33: spec 
	<version: '3.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'NautilusCommon'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package: 'PluggableTextMorphWithLimits'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package:  'Monticello'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [
			spec requires: 'NautilusCommon'.
			spec requires: 'Refactoring-Environment'.
			spec requires: 'PluggableTextMorphWithLimits' ]]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 8/19/2011 16:47'!
baseline34: spec 
	<version: '3.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'NautilusCommon' with: [ spec requires: 'Refactoring-Environment' ].
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package: 'PluggableTextMorphWithLimits'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [
			spec requires: 'NautilusCommon'.
			spec requires: 'Refactoring-Environment'.
			spec requires: 'PluggableTextMorphWithLimits' ]]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'AlexandreBergel 8/21/2011 16:53'!
baseline35: spec 
	<version: '3.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'NautilusCommon' with: [ spec requires: 'Refactoring-Environment' ].
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package: 'PluggableTextMorphWithLimits'.
		spec package: 'NautilusTests'.
			
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [
			spec requires: 'NautilusCommon'.
			spec requires: 'Refactoring-Environment'.
			spec requires: 'PluggableTextMorphWithLimits' ]]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 9/28/2011 15:47'!
baseline36: spec 
	<version: '3.6-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec
			repository: 'http://www.squeaksource.com/DirtyExperiments';
			package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec 
			package: 'HistoryCollection';
			package: 'NautilusCommon' with: [ spec requires: 'Refactoring-Environment' ];
			package: 'GroupManager';
			package:  'GroupManagerUI';
			package: 'PluggableTextMorphWithLimits';
			package: 'NautilusTests'.
			
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'Nautilus' with: [
			spec
				requires: 'NautilusCommon';
				requires: 'Refactoring-Environment';
				requires: 'PluggableTextMorphWithLimits' ]]! !

!ConfigurationOfNautilus methodsFor: 'baselines' stamp: 'BenjaminVanRyseghem 3/20/2011 01:19'!
baselinealpha: spec 
	<version: 'alpha-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilus methodsFor: 'symbolics' stamp: 'AlexandreBergel 8/21/2011 17:52'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '3.11'.
! !

!ConfigurationOfNautilus methodsFor: 'private' stamp: 'BenjaminVanRyseghem 5/24/2011 14:42'!
preloadRPackage

	Gofer new
		squeaksource: 'PharoTaskForces';
		package: 'ConfigurationOfRPackage';
		load.
		
	ConfigurationOfRPackage project  load: #'stable'
		
	! !

!ConfigurationOfNautilus methodsFor: 'project' stamp: 'BenjaminVanRyseghem 3/17/2011 16:24'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 16:23'!
version21: spec
	<version: '2.1' imports: #('2.1-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 2.1: Almost usable'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.8'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.3'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.5'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.2'.
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.8'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 3/30/2011 18:43'!
version24: spec
	<version: '2.4' imports: #('2.4-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 2.4: Add icons/shortcuts/multi-selection'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.15'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.3'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.12'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.25'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 4/5/2011 15:57'!
version30: spec
	<version: '3.0' imports: #('3.0-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 3.0: Beta phase'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.16'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.3'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.12'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Monticello' with: 'Monticello-BenjaminVanRyseghem.509'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.28'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 17:52'!
version310: spec
	<version: '3.10' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.9 : improved tests
3.10 : merging'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 17:52'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-AlexandreBergel.8';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5';
			package: 'NautilusTests' with: 'NautilusTests-AlexandreBergel.2';
			package: 'Nautilus' with: 'Nautilus-AlexandreBergel.80'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 17:52'!
version311: spec
	<version: '3.11' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.10 : merging'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 17:52'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-AlexandreBergel.8';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5';
			package: 'NautilusTests' with: 'NautilusTests-AlexandreBergel.2';
			package: 'Nautilus' with: 'Nautilus-AlexandreBergel.80'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 8/23/2011 13:44'!
version312: spec
	<version: '3.12' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.12 : Removing NautilusUI + cleans'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: ' 23 August 2011 1:34:57 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.11';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.18';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.6';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.85'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 9/6/2011 10:38'!
version313: spec
	<version: '3.13' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.13 : API'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: ' 23 August 2011 1:34:57 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.19';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.18';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.6';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.91'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 9/12/2011 18:20'!
version314: spec
	<version: '3.14' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.14 : Drag and drop'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: ' 23 August 2011 1:34:57 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.20';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.18';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.6';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.101'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 9/15/2011 17:22'!
version315: spec
	<version: '3.15' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.15 : Source code shortcuts'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: '15 September 2011 5:21:40 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.21';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.19';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.8';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.6';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.103'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 9/18/2011 14:32'!
version316: spec
	<version: '3.16' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.16 : Minor Fixes'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: '18 September 2011 2:32:40 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.21';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.19';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.8';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.6';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.105' ].! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 10/1/2011 02:49'!
version317: spec
	<version: '3.17' imports: #('3.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.17 : Remove IdenticalTree'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: '28 September 2011 3:36:40 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.21';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.19';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.9';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.6';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.113' ].! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 10/2/2011 16:40'!
version318: spec
	<version: '3.18' imports: #('3.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.18 : Remove IdenticalTree'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: '2 October 2011 4:36:40 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.22';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.19';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.9';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.6';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.113' ].! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 10/7/2011 13:46'!
version319: spec
	<version: '3.19' imports: #('3.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.19 : New Announcements for Test'.
		spec author: 'BenjaminVanRyseghem'.
		spec timestamp: '7 October 2011 12:36:40 pm'.
		spec preLoadDoIt: #'preloadRPackage'.].

	spec for: #'pharo' do: [
		spec 
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.22';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.19';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.9';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-DamienPollet.7';
			package: 'NautilusTests' with: 'NautilusTests-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.118' ].! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 4/13/2011 17:59'!
version31: spec
	<version: '3.1' imports: #('3.1-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 3.1: Ready for first release ?'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.4'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.12'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Monticello' with: 'Monticello-BenjaminVanRyseghem.509'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.34'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]		! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 5/11/2011 16:02'!
version32: spec
	<version: '3.2' imports: #('3.2-baseline')>

	spec for: #common do: [
		spec preLoadDoIt: #preloadRPackage.
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 3.2: Few cool stuff added'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.5'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Monticello' with: 'Monticello-BenjaminVanRyseghem.520'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.3' .
		
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.46'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 5/12/2011 13:37'!
version33: spec
	<version: '3.3' imports: #('3.2-baseline')>

	spec for: #common do: [
		spec preLoadDoIt: #preloadRPackage.
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 3.3: Plugins + History + Refactorizations'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.6'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Monticello' with: 'Monticello-BenjaminVanRyseghem.520'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.3' .
		
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.47'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 6/5/2011 20:50'!
version34: spec
	<version: '3.4' imports: #('3.2-baseline')>

	spec for: #common do: [
		spec preLoadDoIt: #preloadRPackage.
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 3.4: Refactorizations'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Monticello' with: 'Monticello-BenjaminVanRyseghem.520'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5' .
		
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.61'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'BenjaminVanRyseghem 8/3/2011 02:34'!
version35: spec
	<version: '3.5' imports: #('3.2-baseline')>

	spec for: #common do: [
		spec preLoadDoIt: #preloadRPackage.
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 3.5: Refactorizations'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Monticello' with: 'Monticello-BenjaminVanRyseghem.520'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5' .
		
		spec package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.3'.
		spec package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.66'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
	]! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 16:24'!
version36: spec
	<version: '3.6' imports: #('3.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Version 3.6: Refactorizations
3.6 : Some improvement and bug fixing'.
		spec preLoadDoIt: #'preloadRPackage'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 16:24'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.6';
			package: 'Nautilus' with: 'Nautilus-BenjaminVanRyseghem.76';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 16:35'!
version37: spec
	<version: '3.7' imports: #('3.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.6 : Some improvement and bug fixing
3.7 : Added a comment and allow Cmd-t for running the test on a group (but classes have to be selected)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 16:35'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.6';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-AlexandreBergel.77'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 17:28'!
version38: spec
	<version: '3.8' imports: #('3.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.7 : Added a comment and allow Cmd-t for running the test on a group (but classes have to be selected)
3.8 : Added a shortcut Cmd-j to jump to a unit test'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 17:28'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-AlexandreBergel.8';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5';
			package: 'Nautilus' with: 'Nautilus-AlexandreBergel.78'. ].
! !

!ConfigurationOfNautilus methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 17:31'!
version39: spec
	<version: '3.9' imports: #('3.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '3.8 : Added a shortcut Cmd-j to jump to a unit test
3.9 : improved tests'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 17:31'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1';
			package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9';
			package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7';
			package: 'NautilusCommon' with: 'NautilusCommon-AlexandreBergel.8';
			package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17';
			package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7';
			package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5';
			package: 'NautilusTests' with: 'NautilusTests-AlexandreBergel.2';
			package: 'Nautilus' with: 'Nautilus-AlexandreBergel.78'. ].
! !
